Skip to main content
`Ctrl`+`K`

# PCFieldSplitGetDetectSaddlePoint

Returns flag indicating whether `PCFIELDSPLIT` will attempt to automatically determine fields based on zero diagonal entries.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitGetDetectSaddlePoint(PC pc, PetscBool *flg)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- flg - boolean indicating whether to detect fields or not

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFIELDSPLIT`, `PCFieldSplitSetDetectSaddlePoint()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages